FROM node:14-alpine as base

WORKDIR /app
EXPOSE 3001

# FROM base as production
# ENV NODE_ENV=production
# RUN npm ci
# COPY . /app/
# CMD ["node", "server.js"]

FROM base as dev
ENV NODE_ENV=development
COPY package*.json /app/
RUN npm install -g nodemon && npm install
CMD ["nodemon", "server.js"]
